com.google.common.util.concurrent

## Class AbstractScheduledService.CustomScheduler.Schedule

- java.lang.Object
- - com.google.common.util.concurrent.AbstractScheduledService.CustomScheduler.Schedule

- Enclosing class:
    AbstractScheduledService.CustomScheduler

      @Beta
      protected static final class AbstractScheduledService.CustomScheduler.Schedule
      extends java.lang.Object

  A value object that represents an absolute delay until a task should be invoked.
  Since:
    11.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScheduledService.CustomScheduler.Schedule(long delay, java.util.concurrent.TimeUnit unit)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractScheduledService.CustomScheduler.Schedule

          public AbstractScheduledService.CustomScheduler.Schedule(long delay,
                                                           java.util.concurrent.TimeUnit unit)

      Parameters:
        `delay` - the time from now to delay execution
        `unit` - the time unit of the delay parameter